---
# =====================================================================
# Benchmark configuration file (**EDIT AS NEEDED**)
# customize in the following manner:
#
# (1) Edit the path variables so that they point to folders
#     containing model data
# (2) Edit the version strings for each benchmark simulation
# (3) Edit the switches that turn on/off creating of plots and
#     tables as well as other plotting options
# (4) If necessary, edit labels for the dev and ref versions
#
# Note: When doing GCHP vs GCC comparisions gchp_dev will be compared
# to gcc_dev (not gcc_ref!). This ensures consistency in version names
# when doing GCHP vs GCC diff-of-diffs.
# =====================================================================
#
# Configuration for 1-month FullChemBenchmark
#
# paths:
#   main_dir:    High-level directory containing ref & dev rundirs
#   results_dir: Directory where plots/tables will be created
#   weights_dir: Path to regridding weights
#   spcdb_dir:   Folder in which the species_database.yml file is
#                located.  If set to "default", then will look for
#                species_database.yml in one of the Dev rundirs.
#
paths:
  main_dir: /tmp/tmp.Xdve3GjOsU
  results_dir: BenchmarkResults
  weights_dir: /tmp/tmp.Xdve3GjOsU/weights
  spcdb_dir: default
#
# data: Contains configurations for ref and dev runs
#   version:         Version string (must not contain spaces)
#   dir:             Path to run directory
#   outputs_subdir:  Subdirectory w/ GEOS-Chem diagnostic files
#   restarts_subdir: Subdirectory w/ GEOS-Chem restarts
#   bmk_start:       Simulation start date (YYYY-MM-DDThh:mm:ss)
#   bmk_end:         Simulation end date (YYYY-MM-DDThh:mm:ss)
#   resolution:      GCHP resolution string
#
data:
  ref:
    gcc:
      version: gcc-4x5-1Mon-14.7.0-alpha.3
      dir: ref-gcc/run-directory
      outputs_subdir: OutputDir
      restarts_subdir: Restarts
      logs_subdir: .
      logs_template: runlog.txt
      bmk_start: "2019-07-01T00:00:00"
      bmk_end: "2019-08-01T00:00:00"
    gchp:
      version: gcc-4x5-1Mon-14.7.0-alpha.3
      dir: ref-gchp/run-directory
      outputs_subdir: OutputDir
      restarts_subdir: Restarts
      logs_subdir: .
      logs_template: runlog.txt
      bmk_start: "2019-07-01T00:00:00"
      bmk_end: "2019-08-01T00:00:00"
      is_pre_14.0: False
      resolution: c24
  dev:
    gcc:
      version: gcc-4x5-1Mon-14.7.0-alpha.3
      dir: dev-gcc/run-directory
      outputs_subdir: OutputDir
      restarts_subdir: Restarts
      logs_subdir: .
      logs_template: runlog.txt
      bmk_start: "2019-07-01T00:00:00"
      bmk_end: "2019-08-01T00:00:00"
    gchp:
      version: gchp-c24-1Mon-14.7.0-alpha.3
      dir: dev-gchp/run-directory
      outputs_subdir: OutputDir
      restarts_subdir: Restarts
      logs_subdir: .
      logs_template: runlog.txt
      bmk_start: "2019-07-01T00:00:00"
      bmk_end: "2019-08-01T00:00:00"
      is_pre_14.0: False
      resolution: c24
#
# options: Customizes the benchmark plot output
#
options:
  #
  # bmk_type: Specifies the type of benchmark
  #
  bmk_type: FullChemBenchmark
  #
  # comparisons: Specifies the comparisons to perform.
  #
  comparisons:
    gcc_vs_gcc:
      run: False
      dir: GCC_version_comparison
      tables_subdir: Tables
    gchp_vs_gcc:
      run: True
      dir: GCHP_GCC_comparison
      tables_subdir: Tables
    gchp_vs_gchp:
      run: False
      dir: GCHP_version_comparison
      tables_subdir: Tables
    gchp_vs_gcc_diff_of_diffs:
      run: False
      dir: GCHP_GCC_diff_of_diffs
  #
  # outputs: Specifies the plots and tables to generate
  #
  outputs:
    plot_conc: True
    plot_emis: True
    emis_table: True
    plot_jvalues: True
    plot_aod: True
    plot_drydep: True
    mass_table: True
    mass_accum_table: False
    ops_budget_table: False
    OH_metrics: True
    ste_table: True # GCC only
    timing_table: True
    summary_table: True
    sanity_check_table: True
    plot_options:
      by_spc_cat: True
      by_hco_cat: True
    # Comparison plots for other collections
    plot_budget: False
    plot_2d_met: False
    plot_3d_met: False
    plot_uvflux: False
  #
  # n_cores: Specify the number of cores to use.
  # -1: Use          cores
  # -2: Use  - 1     cores
  # -N: Use  - (N-1) cores
  #  1: Disable parallelization (use a single core)
  #
  n_cores: -1
